Loading...
Searching...
No Matches
QXmppHash Class Reference

## Public Member Functions

QXmpp::HashAlgorithm | algorithm () const
void | setAlgorithm (QXmpp::HashAlgorithm algorithm)
QByteArray | hash () const
void | setHash (const QByteArray &data)

## Detailed Description

Contains a hash value and its algorithm.

Since
  QXmpp 1.5

## Member Function Documentation

## algorithm()

HashAlgorithm QXmppHash::algorithm | ( |  | ) | const

Returns the algorithm used to create the hash.

## hash()

QByteArray QXmppHash::hash | ( |  | ) | const

Returns the binary data of the hash.

## setAlgorithm()

void QXmppHash::setAlgorithm | ( | QXmpp::HashAlgorithm | algorithm | ) |

Sets the algorithm that was used to create the hashed data

## setHash()

void QXmppHash::setHash | ( | const QByteArray & | data | ) |

Sets the hashed data.

The documentation for this class was generated from the following files:

- QXmppHash.h
- QXmppHash.cpp